## net.dontdrinkandroot.lastfm.api.model
Class ScrobbleSource

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.ScrobbleSource

All Implemented Interfaces:
  java.io.Serializable, Entity, ImageEntity, NameEntity, UrlEntity

    public class ScrobbleSource

extends LfmEntity
implements NameEntity, UrlEntity, ImageEntity

See Also:
  Serialized Form

Constructor Summary
`ScrobbleSource(org.w3c.dom.Element element)` Create a ScrobbleSource from a Dom `Element`.

Method Summary
`java.util.Map<ImageSize,java.net.URL>` `getImages()`
`java.lang.String` `getName()`
`java.net.URL` `getUrl()`
`void` `setImages(java.util.Map<ImageSize,java.net.URL> images)`
`void` `setName(java.lang.String name)`
`void` `setUrl(java.net.URL url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrobbleSource

    public ScrobbleSource(org.w3c.dom.Element element)

  Create a ScrobbleSource from a Dom `Element`.

  Parameters:
    `element` - The `Element` to parse.

Method Detail

### getImages

    public java.util.Map<ImageSize,java.net.URL> getImages()

  Specified by:
    `getImages` in interface `ImageEntity`

### setImages

    public void setImages(java.util.Map<ImageSize,java.net.URL> images)

  Specified by:
    `setImages` in interface `ImageEntity`

### getUrl

    public java.net.URL getUrl()

  Specified by:
    `getUrl` in interface `UrlEntity`

### setUrl

    public void setUrl(java.net.URL url)

  Specified by:
    `setUrl` in interface `UrlEntity`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `NameEntity`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `NameEntity`

Copyright © 2012. All Rights Reserved.